
DisplayerCommand = Turbine.ShellCommand();

------------------------------------------------------------------------------------------
-- commands
------------------------------------------------------------------------------------------
function DisplayerCommand:Execute( command, arguments )

	if ( arguments == "help" ) then
		Turbine.Shell.WriteLine(Strings.PluginHelp);
------------------------------------------------------------------------------------------
--  show
------------------------------------------------------------------------------------------
	elseif ( arguments == "show" ) then
		--Turbine.Shell.WriteLine("Show the Empty Window");
		DisplayerWindow:SetVisible(true);
		settings.isWindowVisible = true;
		SaveSettings();
------------------------------------------------------------------------------------------
--  hide
------------------------------------------------------------------------------------------
	elseif ( arguments == "hide" ) then
		--Turbine.Shell.WriteLine("Hide the Empty Window");
		DisplayerWindow:SetVisible(false);
		settings.isWindowVisible = false;
		SaveSettings();
------------------------------------------------------------------------------------------
--  escape
------------------------------------------------------------------------------------------
	elseif ( arguments == "esc" ) then
		if(settings.escEnable == "true") then
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginEscDesable);
			settings.escEnable = false;
		else
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginEscEnable);
			settings.escEnable = true;
		end
		SaveSettings();
------------------------------------------------------------------------------------------
-- alt command--
------------------------------------------------------------------------------------------
	elseif ( arguments == "alt" ) then
		if(settings.altEnable == true) then
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginAltDesable);
			settings.altEnable = false;
		else
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginAltEnable);
			settings.altEnable = true;
		end
		SaveSettings();
	end
end

Turbine.Shell.AddCommand( "Di;Displayer", DisplayerCommand );
