------------------------------------------------------------------------------------------
-- create or load the settings
------------------------------------------------------------------------------------------
function LoadSettings()
settings = PatchDataLoad(Turbine.DataScope.Server, "Displayer_Settings", settings);

	if ( type( settings ) ~= "table" ) then
		settings = { };
	end
	
	if ( not settings.positionX) then		
		settings.positionX = 0;	
	end
	
	if ( not settings.positionY) then	
		settings.positionY = 0;
	end	

	if ( not settings.optionsPositionX) then		
		settings.optionsPositionX = 0;		
	end
	
	if ( not settings.optionsPositionY) then	
		settings.optionsPositionY = 0;
	end	
		
	if ( not settings.minimizeX) then	
		settings.minimizeX = 0;
	end

	if ( not settings.minimizeY) then	
		settings.minimizeY = 0;
	end
	
	if ( not settings.isMinimizeEnabled) then	
		settings.isMinimizeEnabled = true;
	end

	if ( not settings.isWindowVisible) then	
		settings.isWindowVisible = tostring("true");
	end

	if ( not settings.shortcutData_1) then	
		settings.shortcutData_1 = tostring("");
	end	

	if ( not settings.itemName_1) then	
		settings.itemName_1 = tostring("");
	end

	if ( not settings.valBagSeearch) then	
		settings.valBagSeearch = 200;
	end
	
	if ( not settings.escEnable) then	
		settings.escEnable = tostring("true");
	end

	if ( not settings.altEnable) then	
		settings.altEnable = false;
	end

rgb = {
    start = "<rgb=#DAA520>",
    gold = "<rgb=#FFD700>",
    orange = "<rgb=#EE8F12>",
    white = "<rgb=#FFFFFF>",
    green = "<rgb=#1FE126>",
    blue = "<rgb=#1FCDE1>",
    purple = "<rgb=#9B41CE>",
    yellow = "<rgb=#FFFF00>",
    grey = "<rgb=#C7C7BE>",
    red = "<rgb=#FF0000>",
    error = "<rgb=#FF0000>",
    clear = "</rgb>"
};
end

function SaveSettings()
		settings.positionX = tostring(settings.positionX);
   		settings.positionY = tostring(settings.positionY);
		settings.optionsPositionY = tostring(settings.optionsPositionY);
		settings.optionsPositionX = tostring(settings.optionsPositionX);
		settings.minimizeX = tostring(settings.minimizeX);
   		settings.minimizeY = tostring(settings.minimizeY);

		settings.valBagSeearch = tonumber(settings.valBagSeearch);

		settings.isWindowVisible = tostring(settings.isWindowVisible);
		settings.shortcutData_1 = tostring(settings.shortcutData_1);
		settings.wantPrevention = tostring(settings.wantPrevention);
		settings.escEnable = tostring(settings.escEnable);

		settings.itemName_1 = tostring(settings.itemName_1);
		settings.limitSlot_1 = settings.limitSlot_1;

   -- save the settings
	PatchDataSave( Turbine.DataScope.Server, "Displayer_Settings", settings);
end