------------------------------------------------------------------------------------------
-- import librarys
------------------------------------------------------------------------------------------
import "Homeopatix.Displayer.Librarys";

Turbine.Shell.WriteLine("<rgb=#DAA520>Displayer Helper</rgb> <rgb=#DDDDDD>".. plugin:GetVersion() .." par Homeo</rgb>")

CreateLocalizationInfo();
LoadSettings();

------------------------------------------------------------------------------------------
-- create the main window
------------------------------------------------------------------------------------------
CreateMainWindow();

------------------------------------------------------------------------------------------
-- Closing window handler
------------------------------------------------------------------------------------------
ClosingWindow();

------------------------------------------------------------------------------------------
-- handle minimizeIcon
------------------------------------------------------------------------------------------
if(settings.isWindowVisible == "true") then
	MainMinimizedIcon = MinimizedIcon(Images.MinimizedIcon, 32, 32, DisplayerWindow:SetVisible(true));
else
	MainMinimizedIcon = MinimizedIcon(Images.MinimizedIcon, 32, 32, DisplayerWindow:SetVisible(false));
end

MainMinimizedIcon:SetPosition(settings.minimizeX, settings.minimizeY);
MainMinimizedIcon:SetZOrder(0);
MainMinimizedIcon.PositionChanged = function()
	settings.minimizeX = MainMinimizedIcon:GetLeft();
	settings.minimizeY = MainMinimizedIcon:GetTop();
	SaveSettings();
end
------------------------------------------------------------------------------------------
-- event handling
------------------------------------------------------------------------------------------
DisplayerWindow.KeyDown=function(sender, args)
	if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
		if(settings.escEnable == "true") then
			DisplayerWindow:SetVisible(false);
			settings.isWindowVisible = false;
			DisplayerWindow:SetZOrder(-1);
			SaveSettings();
		end
		OptionsWindow:SetVisible(false);
		settings.isOptionsWindowVisible = false;
	end
	
	-- https://www.lotro.com/forums/showthread.php?493466-How-to-hide-a-window-on-F12&p=6581962#post6581962
	if ( args.Action == 268435635 ) then
		hudVisible = not hudVisible;
		if hudVisible then
			DisplayerWindow:SetVisible(false);
			MainMinimizedIcon:SetVisible(false);
		else
			if(settings.isWindowVisible == "true") then
				DisplayerWindow:SetVisible(true);
			else
				DisplayerWindow:SetVisible(false);
			end
			MainMinimizedIcon:SetVisible(true);
		end
	end
end
------------------------------------------------------------------------------------------
-- if the position changes, save the new window location
------------------------------------------------------------------------------------------
DisplayerWindow.PositionChanged = function( sender, args )
    local x,y = DisplayerWindow:GetPosition();
    settings.positionX = x;
    settings.positionY = y;
	SaveSettings();
end
